<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction create RAP (2.16.840.1.113883.3.1937.777.63.4.20 2022-09-16T00:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario RAPv1 -->

   <!-- Referto_Anatomia_Patologica -->
   <pattern>
      <title>Referto_Anatomia_Patologica</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.8.1']]"
                 see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.2.9.10.1.8.1-2022-09-20T145337.html">(Referto_Anatomia_Patologica): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.8.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.9.10.1.8.1-2022-09-20T145337.sch"/>
   <include href="include/2.16.840.1.113883.2.9.10.1.8.1-2022-09-20T145337-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- QuesitoDiagnosticoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.130-2022-09-20T174017.sch"/>
   <!-- QuesitoDiagnosticoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.131-2022-09-21T111356.sch"/>
   <!-- notizieClinicheRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.132-2022-09-21T124529.sch"/>
   <!-- focalitaRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.133-2022-09-21T134422.sch"/>
   <!-- DimensTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.134-2022-09-21T135114.sch"/>
   <!-- AFP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.sch"/>
   <!-- CronicitaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.136-2022-09-21T150938.sch"/>
   <!-- StatoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.137-2022-09-21T155149.sch"/>
   <!-- AFam -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.138-2022-09-21T161610.sch"/>
   <!-- ProceduraRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.142-2022-09-21T165001.sch"/>
   <!-- Proceduraraccoltacampione_RAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.143-2022-09-21T170858.sch"/>
   <!-- DettaglioAF -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.144-2022-09-21T173126.sch"/>
   <!-- insorgenza -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.145-2022-09-21T180211.sch"/>
   <!-- ossMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.149-2022-09-22T105048.sch"/>
   <!-- OsservazioneMacroscopicaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.150-2022-09-22T110216.sch"/>
   <!-- Decesso -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.152-2022-09-22T145122.sch"/>
   <!-- AllergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.155-2022-09-25T131720.sch"/>
   <!-- allergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.156-2022-09-25T132816.sch"/>
   <!-- obsAllergie -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.157-2022-09-25T135906.sch"/>
   <!-- descReazioneRap -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.163-2022-09-25T153114.sch"/>
   <!-- criticitaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.164-2022-09-25T154929.sch"/>
   <!-- statoAllergia -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.165-2022-09-25T155950.sch"/>
   <!-- commentiAllergie -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.166-2022-09-25T200132.sch"/>
   <!-- precExamEsegRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.167-2022-09-25T202731.sch"/>
   <!-- precedentiEsamiObsRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.168-2022-09-25T203434.sch"/>
   <!-- terapFarmacPregRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.169-2022-09-25T210055.sch"/>
   <!-- entryTerapRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.170-2022-09-25T211318.sch"/>
   <!-- SitoTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.173-2022-09-26T144847.sch"/>
   <!-- TerapiaOncologicapregressaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.175-2022-09-26T150417.sch"/>
   <!-- DiagnosiRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.176-2022-09-26T151349.sch"/>
   <!-- EstensionTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.177-2022-09-26T151825.sch"/>
   <!-- FocalitaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.sch"/>
   <!-- DiagnosiRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.179-2022-09-26T154046.sch"/>
   <!-- Precedentitrattamentiprocedureregresse -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.180-2022-09-26T155316.sch"/>
   <!-- DimensionedeltumoreRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.181-2022-09-26T155738.sch"/>
   <!-- TipoistologicoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.182-2022-09-26T155821.sch"/>
   <!-- ProcedureRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.183-2022-09-26T161142.sch"/>
   <!-- IndaginiRadiologicheRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.184-2022-09-26T164206.sch"/>
   <!-- Sitodeltumore -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.185-2022-09-26T164231.sch"/>
   <!-- IndaginiRadiologicheRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.186-2022-09-26T165549.sch"/>
   <!-- PesodelTumoreOssMAcroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.sch"/>
   <!-- Altreinformazionicliniche -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.188-2022-09-26T171419.sch"/>
   <!-- EstensionedelTumoreOssMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.189-2022-09-26T172106.sch"/>
   <!-- StatodelmargineRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.190-2022-09-26T173349.sch"/>
   <!-- OggetticorrelatiOssMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.sch"/>
   <!-- OsservazioneMicroscopicaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.193-2022-09-26T174929.sch"/>
   <!-- OsservazioneMicroscopicaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.194-2022-09-26T182326.sch"/>
   <!-- FormuladeltumoreRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.195-2022-09-27T095932.sch"/>
   <!-- StatoMargineRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.196-2022-09-27T101834.sch"/>
   <!-- AnalisisupplementaricampioniRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.197-2022-09-27T103325.sch"/>
   <!-- DimensionedeltumoremicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.198-2022-09-27T112127.sch"/>
   <!-- AnalisiSupplementaricampioniRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.199-2022-09-27T112135.sch"/>
   <!-- EstensionedelTumoreMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.sch"/>
   <!-- SitodiinvasioneMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.201-2022-09-27T120914.sch"/>
   <!-- linfEsaminati -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.202-2022-09-27T120936.sch"/>
   <!-- ProfonditadiInvasioneMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.204-2022-09-27T121519.sch"/>
   <!-- molteplicitàtumoreRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.205-2022-09-27T122007.sch"/>
   <!-- dimensLinfonodiExam -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.207-2022-09-27T122541.sch"/>
   <!-- OggetticorrelatiOssMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.209-2022-09-27T123040.sch"/>
   <!-- stadiazionepostterapiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.211-2022-09-27T123552.sch"/>
   <!-- linfInteress -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.212-2022-09-27T124904.sch"/>
   <!-- dimLinfInteress_sentinella -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.214-2022-09-27T144442.sch"/>
   <!-- StadiazioneautopsiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.sch"/>
   <!-- lifCarcMetastatico -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.216-2022-09-27T145424.sch"/>
   <!-- FormuladeltumoreTNMRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.sch"/>
   <!-- faseRilevamentoTNM -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.sch"/>
   <!-- linfMicroMetastasi -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.219-2022-09-27T150905.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.220-2022-09-27T151552.sch"/>
   <!-- linfMacroMetastasi -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.221-2022-09-27T151918.sch"/>
   <!-- CategoriaTRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.222-2022-09-27T153054.sch"/>
   <!-- CategoriaCRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.223-2022-09-27T153611.sch"/>
   <!-- CategoriaNRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.224-2022-09-27T153750.sch"/>
   <!-- linfCellTumorIsolate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.sch"/>
   <!-- linfonodiSentinella -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.226-2022-09-27T154216.sch"/>
   <!-- CategoriaMRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.227-2022-09-27T154637.sch"/>
   <!-- CategoriaVRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.228-2022-09-27T154826.sch"/>
   <!-- CategoriaGRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.229-2022-09-27T155233.sch"/>
   <!-- CategoriaSRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.230-2022-09-27T155547.sch"/>
   <!-- CategoriaLRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.231-2022-09-27T160149.sch"/>
   <!-- Statodeltumoreresiduale -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.sch"/>
   <!-- CategroiaRRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.233-2022-09-27T162254.sch"/>
   <!-- pesoTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.238-2022-10-03T121104.sch"/>
   <!-- PercentualeTipoIstologico -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.243-2022-10-05T175824.sch"/>
   <!-- TopografiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.244-2022-10-05T181128.sch"/>
   <!-- MorfologiaComportamentoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.245-2022-10-05T181724.sch"/>
   <!-- ScalaValutazioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.246-2022-10-05T182359.sch"/>
   <!-- ImmunofenotipoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.247-2022-10-05T182953.sch"/>
   <!-- OsservazioneAddizionaleRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.sch"/>
   <!-- cellTumoraliIsolate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.sch"/>
   <!-- dimCelluleTumIs -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.250-2022-10-06T085751.sch"/>
   <!-- CDASupply -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.251-2022-10-06T094049.sch"/>
   <!-- TipoCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.252-2022-10-06T094650.sch"/>
   <!-- DimensioneCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.253-2022-10-06T100556.sch"/>
   <!-- PesoCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.sch"/>
   <!-- IntegritaCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.255-2022-10-06T101320.sch"/>
   <!-- PezziComponentiCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.256-2022-10-06T101630.sch"/>
   <!-- OggettiCorrelatiRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.257-2022-10-06T102014.sch"/>

</schema>
