<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.187
Name: Peso del Tumore - Oss. Macro - RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345">
   <title>Peso del Tumore - Oss. Macro - RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]
Item: (PesodelTumoreOssMAcroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]
Item: (PesodelTumoreOssMAcroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]"
         id="d42e6356-false-d113440e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(PesodelTumoreOssMAcroRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="string(@moodCode) = ('EVN')">(PesodelTumoreOssMAcroRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']) &gt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &gt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:text) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:effectiveTime) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:value) &gt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="count(hl7:value) &lt;= 1">(PesodelTumoreOssMAcroRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']
Item: (PesodelTumoreOssMAcroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']"
         id="d42e6368-false-d113508e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.187')">(PesodelTumoreOssMAcroRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.187'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:id
Item: (PesodelTumoreOssMAcroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']
Item: (PesodelTumoreOssMAcroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']"
         id="d42e6376-false-d113528e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="@code">(PesodelTumoreOssMAcroRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(PesodelTumoreOssMAcroRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(PesodelTumoreOssMAcroRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(PesodelTumoreOssMAcroRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(PesodelTumoreOssMAcroRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:text
Item: (PesodelTumoreOssMAcroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (PesodelTumoreOssMAcroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e6389-false-d113562e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(PesodelTumoreOssMAcroRAP): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:effectiveTime
Item: (PesodelTumoreOssMAcroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.187
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.187']]/hl7:value
Item: (PesodelTumoreOssMAcroRAP)
-->
</pattern>
