<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.210
Name: Stadiazione - post terapia RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350">
   <title>Stadiazione - post terapia RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]
Item: (stadiazionepostterapiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]"
         id="d42e8116-false-d128860e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]) &lt;= 1">(stadiazionepostterapiaRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]
Item: (stadiazionepostterapiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]"
         id="d42e8138-false-d128875e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(stadiazionepostterapiaRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="string(@moodCode) = ('EVN')">(stadiazionepostterapiaRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']) &gt;= 1">(stadiazionepostterapiaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']) &lt;= 1">(stadiazionepostterapiaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor]) &gt;= 1">(stadiazionepostterapiaRAP): element hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor]) &lt;= 1">(stadiazionepostterapiaRAP): element hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.15.16']) &gt;= 1">(stadiazionepostterapiaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.15.16'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.15.16']) &lt;= 1">(stadiazionepostterapiaRAP): element hl7:value[@codeSystem = '2.16.840.1.113883.15.16'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']
Item: (stadiazionepostterapiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']"
         id="d42e8150-false-d128923e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.210')">(stadiazionepostterapiaRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.210'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:id
Item: (stadiazionepostterapiaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor]
Item: (stadiazionepostterapiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:code[(@code = 'y' and @codeSystem = '2.16.840.1.113883.15.16') or @nullFlavor]"
         id="d42e8158-false-d128943e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="@nullFlavor or (@code='y' and @codeSystem='2.16.840.1.113883.15.16')">(stadiazionepostterapiaRAP): The element value SHALL be one of 'code 'y' codeSystem '2.16.840.1.113883.15.16''.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(stadiazionepostterapiaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(stadiazionepostterapiaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.210
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:value[@codeSystem = '2.16.840.1.113883.15.16']
Item: (stadiazionepostterapiaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.210']]/hl7:value[@codeSystem = '2.16.840.1.113883.15.16']"
         id="d42e8181-false-d128963e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="@code">(stadiazionepostterapiaRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(stadiazionepostterapiaRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.15.16')">(stadiazionepostterapiaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.15.16'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(stadiazionepostterapiaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(stadiazionepostterapiaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
