<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.217
Name: Formula del tumore TNM (RAP)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437">
   <title>Formula del tumore TNM (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]"
         id="d42e8698-false-d132748e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]) &lt;= 1">(FormuladeltumoreTNMRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]"
         id="d42e8720-false-d132763e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(FormuladeltumoreTNMRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@moodCode) = ('EVN')">(FormuladeltumoreTNMRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']) &gt;= 1">(FormuladeltumoreTNMRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']) &lt;= 1">(FormuladeltumoreTNMRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')]) &gt;= 1">(FormuladeltumoreTNMRAP): element hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')]) &lt;= 1">(FormuladeltumoreTNMRAP): element hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:value[xsi:type=&#34;CD&#34;]) &lt;= 1">(FormuladeltumoreTNMRAP): element hl7:value[xsi:type="CD"] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="count(hl7:value[xsi:type=&#34;ST&#34;]) &lt;= 1">(FormuladeltumoreTNMRAP): element hl7:value[xsi:type="ST"] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']"
         id="d42e8756-false-d132809e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.217')">(FormuladeltumoreTNMRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.217'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:id
Item: (FormuladeltumoreTNMRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')]
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:code[(@code = '59541-3 ' and @codeSystem = ' 2.16.840.1.113883.6.1')]"
         id="d42e8764-false-d132829e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@code) = ('59541-3')">(FormuladeltumoreTNMRAP): The value for code SHALL be '59541-3'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(FormuladeltumoreTNMRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(FormuladeltumoreTNMRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(FormuladeltumoreTNMRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(FormuladeltumoreTNMRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:value[xsi:type="CD"]
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:value[xsi:type=&#34;CD&#34;]"
         id="d42e8782-false-d132854e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(FormuladeltumoreTNMRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.217
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:value[xsi:type="ST"]
Item: (FormuladeltumoreTNMRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.217']]/hl7:value[xsi:type=&#34;ST&#34;]"
         id="d42e8787-false-d132864e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.217-2022-09-27T145437.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3')">(FormuladeltumoreTNMRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
