<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.249
Name: Cellule tumorali isolate (RAP)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704">
   <title>Cellule tumorali isolate (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]
Item: (cellTumoraliIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]
Item: (cellTumoraliIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]"
         id="d42e10494-false-d139150e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(cellTumoraliIsolate): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="string(@moodCode) = ('EVN')">(cellTumoraliIsolate): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']) &gt;= 1">(cellTumoraliIsolate): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']) &lt;= 1">(cellTumoraliIsolate): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &gt;= 1">(cellTumoraliIsolate): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt;= 1">(cellTumoraliIsolate): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:text) &lt;= 1">(cellTumoraliIsolate): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(cellTumoraliIsolate): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cellTumoraliIsolate): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:repeatNumber) &lt;= 1">(cellTumoraliIsolate): element hl7:repeatNumber appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(cellTumoraliIsolate): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(cellTumoraliIsolate): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']
Item: (cellTumoraliIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']"
         id="d42e10500-false-d139226e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.249')">(cellTumoraliIsolate): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.249'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']
Item: (cellTumoraliIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']"
         id="d42e10505-false-d139238e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="@code">(cellTumoraliIsolate): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(cellTumoraliIsolate): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(cellTumoraliIsolate): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(cellTumoraliIsolate): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(cellTumoraliIsolate): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:text
Item: (cellTumoraliIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (cellTumoraliIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e10526-false-d139272e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(cellTumoraliIsolate): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:effectiveTime
Item: (cellTumoraliIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:repeatNumber
Item: (cellTumoraliIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:value[not(@nullFlavor)]
Item: (cellTumoraliIsolate)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.249
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.250']]]
Item: (cellTumoraliIsolate)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.249']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.250']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="@typeCode">(cellTumoraliIsolate): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230119T143306/tmp-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(cellTumoraliIsolate): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>
</pattern>
